#!/bin/bash

#PWROOT=/opt/Q-E.d/espresso-5.0/
#PWROOT=/home/guido/Temporary/espresso-SVN-10299-orig/
PWROOT=/home/guido/Temporary/espresso-SVN-10299/

pw=$PWROOT/bin/pw.x
pp=$PWROOT/bin/pp.x
pseudodir=/home/guido/L/PSEUDO/
outdir=./

cat <<EOF > scf.in
&CONTROL
  calculation  = 'scf'
  pseudo_dir   = '$pseudodir'
  outdir       = '$outdir'
/
&SYSTEM
  ibrav     = 1, 
  celldm(1) = 6,
  nat       = 1,
  ntyp      = 1,
  ecutwfc   = 20,
  nbnd     = 2
  nspin = 2
  occupations = 'from_input'
/
&ELECTRONS
/
ATOMIC_SPECIES
H  1.00  H.vbc.UPF
ATOMIC_POSITIONS
H 0 0 0
K_POINTS Gamma
OCCUPATIONS
1 0
0 0
EOF
$pw < scf.in > scf.out

cat << EOF > pp.in
&inputpp
outdir='./'
plot_num=0
filplot='charge.raw'
/
EOF
$pp < pp.in > pp.out

for output_format in 3 4 5; do
cat <<EOF > pp.$output_format.in
&inputpp
/
&plot
filepp(1)='charge.raw'
iflag=3
output_format=$output_format
fileout='charge.$output_format'
x0=0,0,0
e1=1,0,0
e2=0,1,0
e3=0,0,1
/
EOF
$pp < pp.$output_format.in > pp.$output_format.out
done

